﻿@model List<Regulatory>
@using System.Security.Claims
@{
    IEnumerable<RegulatoryQuestionModel> RegulatoryQuestions = ViewBag.RegulatoryQuestions;
    int i = 0;
    var role = User.FindFirst(ClaimTypes.Role)?.Value;
    var area = role == Roles.FirmPrincipal ? "firm-principal" : role == Roles.FirmAdmin ? "firm-admin" : "adviser";
}
<form action="adviser/profile/saveregulatory" class="form fv-plugins-bootstrap fv-plugins-framework" id="kt_adviserinfo_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteWithWizard">
    <div class="d-flex justify-content-between">
        <div>
            <h4 class="text-dark font-weight-bold mt-2 mb-5 mr-5 w-750px">Please answer these questions and update them as required by regulatory authorities and compliance</h4>
        </div>
        <div>
            <button class="btn btn-secondary font-weight-bold px-6 py-2" id="btn-save-exit">Save & Exit</button>
        </div>
    </div>
    <div class="wizard-content-height">
        <ol id="question-list" class="list-group list-group-flush">
            @foreach (var item in (await MenuDataHelper.GetRegulatoryQuestionDataAsync()).Where(m => m.ParentId == 0).Select((value, i) => new { i, value }))
            {
                <li class="list-group-item p-0 pb-5">
                    <div class="form-group mb-0">
                        <label class="col-form-label font-weight-bold font-size-h6">
                            @(item.i+1). @Html.Raw(item.value.Question)
                        </label>
                        <ul>
                            @foreach (var item2 in RegulatoryQuestions.Where(m => m.ParentId == item.value.SectionId))
                            {
                                <li style="margin-left:-25px">
                                    <input value="@item2.RegulatoryId" asp-for="@Model[i].Id" type="hidden" />
                                    <input value="@item2.SectionId" asp-for="@Model[i].SectionId" type="hidden" />
                                    <input value="@item2.Guid" asp-for="@Model[i].Guid" type="hidden" />
                                    <div class="d-flex">
                                        <div class="align-self-start mt-2">
                                            <span class="switch switch-icon switch-sm switch-custom">
                                                <label>
                                                    <input type="checkbox" asp-for="@Model[i].Answer" onchange="setCheckedUnchecked();" checked="@item2.Answer">
                                                    <span></span>
                                                </label>
                                            </span>
                                        </div>
                                        <div class="pb-2 ml-5">
                                            <label asp-for="@Model[i].Answer" class="col-form-label switch-label">
                                                @item2.Question
                                            </label>
                                        </div>
                                    </div>
                                </li>
                                i++;
                            }
                        </ul>
                    </div>
                </li>
            }
        </ol>
    </div>
    <partial name="_WizardFooter" />
</form>
<script>
    $("#btn-submit,#btn-next").addClass("d-none");
    $("#btn-complete").removeClass("d-none").removeAttr("data-original-title");
    $("#btn-complete").click(function(e) {
        e.preventDefault();
        var btn = KTUtil.getById("btn-complete");
        KTUtil.btnWait(btn, "spinner spinner-right spinner-white pr-15", "Please wait");
        $("#btn-save-exit").click();
    });
    var setCheckedUnchecked = function() {
        var totalCheckbox = $("#question-list [type=checkbox]").length;
        var checkedCheckbox = $("#question-list [type=checkbox]:checked").length;
        if (totalCheckbox == checkedCheckbox) {
            $("#CheckAll").prop("checked", true);
            $("#CheckAllTitle").text("Uncheck all");
        }
        else {
            $("#CheckAll").prop("checked", false);
            $("#CheckAllTitle").text("Check all");
        }
    }
    setCheckedUnchecked();
    $("#CheckAll").change(function() {
        var selection = $(this).is(":checked");
        $("#question-list [type=checkbox]").prop("checked", selection);
        setCheckedUnchecked();
    });
</script>